/*
 * Customer.java
 *
 * Created on February 5, 2002, 6:52 PM
 */

package com.systinet.demos.bank;

/**
 *
 * @author  zdenek
 */
public interface Customer //extends java.rmi.Remote 
{
    
    /** Getter for property ssn.
     * @return Value of property ssn.
     */
    public String getSSN();
    
    /** Setter for property ssn.
     * @param ssn New value of property ssn.
     */
    public void setSSN(String ssn);
    
    /** Getter for property firstname.
     * @return Value of property firstname.
     */
    public String getFirstname();
    
    /** Setter for property firstname.
     * @param firstname New value of property firstname.
     */
    public void setFirstname(String firstname);
    
    /** Getter for property lastname.
     * @return Value of property lastname.
     */
    public String getLastname();
    
    /** Setter for property lastname.
     * @param lastname New value of property lastname.
     */
    public void setLastname(String lastname);
    
    /** Getter for property address.
     * @return Value of property address.
     */
    public String getAddress();
    
    /** Setter for property address.
     * @param address New value of property address.
     */
    public void setAddress(String address);
    
    /** Getter for property city.
     * @return Value of property city.
     */
    public String getCity();
    
    /** Setter for property city.
     * @param city New value of property city.
     */
    public void setCity(String city);
    
    /** Getter for property state.
     * @return Value of property state.
     */
    public String getState();
    
    /** Setter for property state.
     * @param state New value of property state.
     */
    public void setState(String state);
    
    /** Getter for property country.
     * @return Value of property country.
     */
    public String getCountry();
    
    /** Setter for property country.
     * @param country New value of property country.
     */
    public void setCountry(String country);
    
    /** Getter for property phone.
     * @return Value of property phone.
     */
    public String getPhone();
    
    /** Setter for property phone.
     * @param phone New value of property phone.
     */
    public void setPhone(String phone);
    
    /** Getter for property fax.
     * @return Value of property fax.
     */
    public String getFax();
    
    /** Setter for property fax.
     * @param fax New value of property fax.
     */
    public void setFax(String fax);
    
    /** Getter for property ZIP.
     * @return Value of property ZIP.
     */
    public String getZIP();
    
    /** Setter for property ZIP.
     * @param fax New value of property ZIP.
     */
    public void setZIP(String zip);
    
    /** Getter for property email.
     * @return Value of property email.
     */
    public String getEmail();
    
    /** Setter for property email.
     * @param fax New value of property email.
     */
    public void setEmail(String email);
    
     
    public Account createAccount(String type) throws AccountCreationException;
    
    /** Getter for property accounts.
     * @return Value of property accounts.
     */
    public Account[] getAccounts() throws AccountRetrievalException;
    
    /** Setter for property accounts.
     * @param fax New value of property accounts.
     */
    public  void setAccounts(Account[] accounts);
    
}
