/*
 * Account.java
 *
 * Created on February 7, 2002, 11:55 AM
 */

package com.systinet.demos.bank;

/**
 *
 * @author  zdenek
 */
public interface Transfer //extends java.rmi.Remote 
{
    
    /** Getter for property transferID.
     * @return Value of property transferID.
     */
    public long getTransferID();
    
    /** Setter for property transferID.
     * @param type New value of property transferID.
     */
    public void setTransferID(long transferID);
    
    /** Getter for property type.
     * @return Value of property type.
     */
    public String getType();
    
    /** Setter for property type.
     * @param type New value of property type.
     */
    public void setType(String type);
    
    /** Getter for property amount.
     * @return Value of property amount.
     */
    public double getAmount();
    
    /** Setter for property amount.
     * @param type New value of property amount.
     */
    public void setAmount(double amount);
    
    /** Getter for property timestamp.
     * @return Value of property timestamp.
     */
    public java.util.Date getTimestamp();
    
    /** Setter for property timestamp.
     * @param ssn New value of property timestamp.
     */
    public void setTimestamp(java.util.Date timestamp);
    
    /** Getter for property accountNumber.
     * @return Value of property accountNumber.
     */
    public String getAccountNumber();
    
    /** Setter for property accountNumber.
     * @param accountNumber New value of property accountNumber.
     */
    public void setAccountNumber(String accountNumber);
    
    /** Getter for property accountNumberBeneficiary.
     * @return Value of property accountNumberBeneficiary.
     */
    public String getAccountNumberBeneficiary();
    
    /** Setter for property accountNumberBeneficiary.
     * @param accountNumber New value of property accountNumberBeneficiary.
     */
    public void setAccountNumberBeneficiary(String accountNumberBeneficiary);
    
    /** Getter for property comment.
     * @return Value of property comment.
     */
    public String getComment();
    
    /** Setter for property comment.
     * @param type New value of property comment.
     */
    public void setComment(String comment);
    
    /** Getter for property commentBeneficiary.
     * @return Value of property commentBeneficiary.
     */
    public String getCommentBeneficiary();
    
    /** Setter for property commentBeneficiary.
     * @param type New value of property commentBeneficiary.
     */
    public void setCommentBeneficiary(String commentBeneficiary);
    
    /** Getter for property balance.
     * @return Value of property balance.
     */
    public Balance getBalance() throws BalanceRetrievalException;
    
    /** Setter for property balance.
     * @param type New value of property balance.
     */
    public void setBalance(Balance balance);

    
}
