/*
 * Account.java
 *
 * Created on February 7, 2002, 11:55 AM
 */

package com.systinet.demos.bank.simple;

import com.systinet.demos.bank.Transfer;
import com.systinet.demos.bank.Balance;

import com.systinet.demos.bank.BalanceRetrievalException;

/**
 *
 * @author  zdenek
 */
public class TransferImpl implements Transfer {
    
    /** Holds value of property transferID. */
    public long transferID;
    
    /** Holds value of property type. */
    public String type;
    
    /** Holds value of property amount. */
    public double amount;
    
    /** Holds value of property timestamp. */
    public java.util.Date timestamp;
    
    /** Holds value of property accountNumber. */
    public String accountNumber;    

    /** Holds value of property accountNumber. */
    public String accountNumberBeneficiary;
        
    /** Holds value of property comment. */
    public String comment;
    
    /** Holds value of property comment. */
    public String commentBeneficiary;
    
    /** Holds value of property balance. */
    public Balance balance;
    
    /** Creates a new instance of Account */
    public TransferImpl() {
    }
    
    /** Getter for property accountNumber.
     * @return Value of property accountNumber.
     */
    public String getAccountNumber() {
        return this.accountNumber;
    }    
        
    /** Getter for property accountNumberBeneficiary.
     * @return Value of property accountNumberBeneficiary.
     */
    public String getAccountNumberBeneficiary() {
        return this.accountNumberBeneficiary;
    }
    
    /** Getter for property amount.
     * @return Value of property amount.
     */
    public double getAmount() {
        return this.amount;
    }
    
    /** Getter for property comment.
     * @return Value of property comment.
     */
    public String getComment() {
        return this.comment;
    }
    
    /** Getter for property commentBeneficiary.
     * @return Value of property commentBeneficiary.
     */
    public String getCommentBeneficiary() {
        return this.commentBeneficiary;
    }
    
    /** Getter for property timestamp.
     * @return Value of property timestamp.
     */
    public java.util.Date getTimestamp() {
        return this.timestamp;
    }
    
    /** Getter for property transferID.
     * @return Value of property transferID.
     */
    public long getTransferID() {
        return this.transferID;
    }
    
    /** Getter for property type.
     * @return Value of property type.
     */
    public String getType() {
        return this.type;
    }
    
    /** Setter for property accountNumber.
     * @param accountNumber New value of property accountNumber.
     */
    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }
    
    /** Setter for property accountNumberBeneficiary.
     * @param accountNumber New value of property accountNumberBeneficiary.
     */
    public void setAccountNumberBeneficiary(String accountNumberBeneficiary) {
        this.accountNumberBeneficiary = accountNumberBeneficiary;
    }
    
    /** Setter for property amount.
     * @param type New value of property amount.
     */
    public void setAmount(double amount) {
        this.amount = amount;
    }
    
    /** Setter for property comment.
     * @param type New value of property comment.
     */
    public void setComment(String comment) {
        this.comment = comment;
    }
    
    /** Setter for property commentBeneficiary.
     * @param type New value of property commentBeneficiary.
     */
    public void setCommentBeneficiary(String commentBeneficiary) {
        this.commentBeneficiary = commentBeneficiary;
    }
    
    /** Setter for property timestamp.
     * @param ssn New value of property timestamp.
     */
    public void setTimestamp(java.util.Date timestamp) {
        this.timestamp = timestamp;
    }
    
    /** Setter for property transferID.
     * @param type New value of property transferID.
     */
    public void setTransferID(long transferID) {
        this.transferID = transferID;
    }
    
    /** Setter for property type.
     * @param type New value of property type.
     */
    public void setType(String type) {
        this.type = type;
    }
    
    /** Getter for property balance.
     * @return Value of property balance.
     */
    public Balance getBalance() {
       return this.balance;
    }
    
    /** Setter for property balance.
     * @param type New value of property balance.
     */
    public void setBalance(Balance balance) {
        this.balance = balance;
    }
    
   
}