/*
 * Account.java
 *
 * Created on February 7, 2002, 11:55 AM
 */

package com.systinet.demos.bank;

/**
 *
 * @author  zdenek
 */
public interface Account //extends java.rmi.Remote 
{
    

    /** Getter for property accountNumber.
     * @return Value of property accountNumber.
     */
    public String getAccountNumber();
    
    /** Setter for property accountNumber.
     * @param accountNumber New value of property accountNumber.
     */
    public void setAccountNumber(String accountNumber);
    
    /** Getter for property SSN.
     * @return Value of property ssn.
     */
    public String getSSN();
    
    /** Setter for property SSN.
     * @param ssn New value of property ssn.
     */
    public void setSSN(String ssn);
    
    /** Getter for property type.
     * @return Value of property type.
     */
    public String getType();
    
    /** Setter for property type.
     * @param type New value of property type.
     */
    public void setType(String type);
    
    /** Getter for property lastBalance.
     * @return Value of property lastBalance.
     */
    public Balance getLastBalance() throws BalanceRetrievalException;
    
    /** Setter for property lastBalance.
     * @param type New value of property lastBalance.
     */
    public void setLastBalance(Balance balance);
    
    /** Getter for property balanceHistory.
     * @return Value of property balanceHistory.
     */
    public Balance[] getBalanceHistory() throws BalanceRetrievalException;
    
    /** Setter for property balanceHistory.
     * @param type New value of property balanceHistory.
     */
    public void setBalanceHistory(Balance[] balanceHistory);
    
    /** Getter for property transferHistory.
     * @return Value of property transferHistory.
     */
    public Transfer[] getTransferHistory() throws TransferRetrievalException;
    
    /** Setter for property transferHistory.
     * @param type New value of property transferHistory.
     */
    public void setTransferHistory(Transfer[] transferHistory);
    
    public Balance processTransfer(Transfer transfer) throws TransferProcessingException;
    
}
