/*
 * Customer.java
 *
 * Created on February 5, 2002, 6:52 PM
 */

package com.systinet.demos.bank.simple;

import com.systinet.demos.bank.Customer;
import com.systinet.demos.bank.Account;
import com.systinet.demos.bank.AccountCreationException;
import com.systinet.demos.bank.AccountRetrievalException;

/**
 *
 * @author  zdenek
 */
public class CustomerImpl implements Customer {

    
    /** Holds value of property ssn. */
    public String ssn;    
    
    /** Holds value of property firstname. */
    public String firstname;
    
    /** Holds value of property lastname. */
    public String lastname;
    
    /** Holds value of property address. */
    public String address;
    
    /** Holds value of property city. */
    public String city;
    
    /** Holds value of property state. */
    public String state;
    
    /** Holds value of property country. */
    public String country;
    
    /** Holds value of property phone. */
    public String phone;
    
    /** Holds value of property fax. */
    public String fax;
    
    /** Holds value of property zip. */
    public String zip;
    
    /** Holds value of property email. */
    public String email;
    
    /** Holds value of property email. */
    public java.util.LinkedList accounts  = new java.util.LinkedList();

    /** Creates a new instance of Customer */
    public CustomerImpl() {
    }
    
    /** Getter for property ssn.
     * @return Value of property ssn.
     */
    public String getSSN() {
        return this.ssn;
    }
    
    /** Setter for property ssn.
     * @param ssn New value of property ssn.
     */
    public void setSSN(String ssn) {
        this.ssn = ssn;
    }
    
    /** Getter for property firstname.
     * @return Value of property firstname.
     */
    public String getFirstname() {
        return this.firstname;
    }
    
    /** Setter for property firstname.
     * @param firstname New value of property firstname.
     */
    public void setFirstname(String firstname) {
        this.firstname = firstname;
    }
    
    /** Getter for property lastname.
     * @return Value of property lastname.
     */
    public String getLastname() {
        return this.lastname;
    }
    
    /** Setter for property lastname.
     * @param lastname New value of property lastname.
     */
    public void setLastname(String lastname) {
        this.lastname = lastname;
    }
    
    /** Getter for property address.
     * @return Value of property address.
     */
    public String getAddress() {
        return this.address;
    }
    
    /** Setter for property address.
     * @param address New value of property address.
     */
    public void setAddress(String address) {
        this.address = address;
    }
    
    /** Getter for property city.
     * @return Value of property city.
     */
    public String getCity() {
        return this.city;
    }
    
    /** Setter for property city.
     * @param city New value of property city.
     */
    public void setCity(String city) {
        this.city = city;
    }
    
    /** Getter for property state.
     * @return Value of property state.
     */
    public String getState() {
        return this.state;
    }
    
    /** Setter for property state.
     * @param state New value of property state.
     */
    public void setState(String state) {
        this.state = state;
    }
    
    /** Getter for property country.
     * @return Value of property country.
     */
    public String getCountry() {
        return this.country;
    }
    
    /** Setter for property country.
     * @param country New value of property country.
     */
    public void setCountry(String country) {
        this.country = country;
    }
    
    /** Getter for property phone.
     * @return Value of property phone.
     */
    public String getPhone() {
        return this.phone;
    }
    
    /** Setter for property phone.
     * @param phone New value of property phone.
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }
    
    /** Getter for property fax.
     * @return Value of property fax.
     */
    public String getFax() {
        return this.fax;
    }
    
    /** Setter for property fax.
     * @param fax New value of property fax.
     */
    public void setFax(String fax) {
        this.fax = fax;
    }
    
    /** Getter for property ZIP.
     * @return Value of property fax.
     */
    public String getZIP() {
        return this.zip;
    }
    
    /** Setter for property fax.
     * @param fax New value of property fax.
     */
    public void setZIP(String zip) {
        this.zip = zip;
    }
    
    /** Getter for property email.
     * @return Value of property email.
     */
    public String getEmail() {
        return this.email;
    }
    
    /** Setter for property email.
     * @param fax New value of property email.
     */
    public void setEmail(String email) {
        this.email = email;
    }
    
    public Account createAccount(String type) {
        AccountImpl account = new AccountImpl();
        long id = SimpleIDGenerator.createID();
        String accountNumber = ""+System.currentTimeMillis()+" - "+id;
        account.setAccountNumber(accountNumber);
        account.setSSN(this.ssn);
        account.setType(type);
        /*
        TransferImpl transfer = new TransferImpl();
        java.sql.Date dt = new java.sql.Date((new java.util.Date()).getTime());
        id = SimpleIDGenerator.createID();        
        transfer.setAmount(0);
        transfer.setTimestamp(dt);
        transfer.setType("I");
        transfer.setComment("Initialization.");
        transfer.setCommentBeneficiary("Initialization.");
        transfer.setTransferID(id);
        account.processTransfer(transfer);
        */
        this.accounts.add(account);
        return account;
    }
    
    /** Getter for property accounts.
     * @return Value of property accounts.
     */
    public Account[] getAccounts() {
        return (Account[])this.accounts.toArray(new Account[]{});
    }
    
    /** Setter for property accounts.
     * @param fax New value of property accounts.
     */
    public  void setAccounts(Account[] accounts) {
        this.accounts = new java.util.LinkedList(java.util.Arrays.asList(accounts));
    }
    
    
}